unit Udemo;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, PickDate;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Edit1: TEdit;
    Button1: TButton;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
   lFCal: TBrDateForm;
begin
try
   lFCal := TBrDateForm.Create(Self);

   {Exemplo de feriados}
   with lFCal.Calendario1.Feriados do
        begin
        Add('01/01/0000Ano Novo');
        Add('25/12/0000Natal');
        Add('07/09/0000Dia da Independncia');
        end;

   try
      if Edit1.Text='' then lFCal.Data := Date
      else lFCal.Data := StrToDateTime(Edit1.Text);
   except
         lFCal.Data := Date;
   end;
   if Not lFCal.Execute then Exit;

   Edit1.Text := DateToStr( lFCal.Data);

finally
       lFCal.Release;
end;
end;


initialization
LongMonthNames[1]  := 'Janeiro';
LongMonthNames[2]  := 'Fevereiro';
LongMonthNames[3]  := 'Maro';
LongMonthNames[4]  := 'Abril';
LongMonthNames[5]  := 'Maio';
LongMonthNames[6]  := 'Junho';
LongMonthNames[7]  := 'Julho';
LongMonthNames[8]  := 'Agosto';
LongMonthNames[9]  := 'Setembro';
LongMonthNames[10] := 'Outubro';
LongMonthNames[11] := 'Novembro';
LongMonthNames[12] := 'Dezembro';

ShortDayNames[1] := 'Dom';
ShortDayNames[2] := 'Seg';
ShortDayNames[3] := 'Ter';
ShortDayNames[4] := 'Qua';
ShortDayNames[5] := 'Qui';
ShortDayNames[6] := 'Sex';
ShortDayNames[7] := 'Sab';

end.
